%global commit bddcf5c

Name:           owncloud-client-desktop-shell-integration-dolphin
Version:        5.0.0^20240629git%{commit}
Release:        %autorelease
Summary:        OwnCloud shell integration for KDE Dolphin

License:        GPL-2.0-or-later
URL:            https://github.com/owncloud/client-desktop-shell-integration-dolphin
Source0:        %{URL}/archive/%{commit}.tar.gz

BuildRequires:  qt6-qtbase-devel
BuildRequires:  kf6-kio-devel

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc-c++

%description
OwnCloud shell integration for KDE Dolphin


%prep
%autosetup -n client-desktop-shell-integration-dolphin-bddcf5ce731514deceb882f72f6a373153ffef1c


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license COPYING
%doc README.md
%{_libdir}/libownclouddolphinpluginhelper.so
%{_qt6_plugindir}/ownclouddolphinactionplugin.so
%{_qt6_plugindir}/kf6/kfileitemaction/ownclouddolphinactionplugin.so
%{_qt6_plugindir}/kf6/overlayicon/


%changelog
%autochangelog

